## org.eclipse.emf.query.conditions.eobjects.structuralfeatures
Class EObjectStructuralFeatureCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectStructuralFeatureCondition

Direct Known Subclasses:
  EObjectStructuralFeatureValueCondition

    public abstract class EObjectStructuralFeatureCondition

extends EObjectCondition

The base abstract class of all conditions pertaining to EStructuralFeatures.

This class is intended to be extended by clients.

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`EObjectStructuralFeatureCondition(PruneHandler pruneHandler, EStructuralFeature feature)` A constructor, initializes the `EObjectStructuralFeatureCondition` with basic values.

Method Summary
`protected EStructuralFeature` `getFeature()` A getter for the `EStructuralFeature` used in initialization of this `EObjectStructuralFeatureCondition`
`protected List<? extends EStructuralFeature>` `getFeatures(EClass eClass)` Returns the list of all EStructuralFeatures of the given EClass that are consequently to be used for testing and evaluation of this condition object
`boolean` `isSatisfied(EObject eObject)` Answers whether the argument eObject has the `EStructuralFeature` used in initialization of this `EObjectStructuralFeatureCondition`

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectStructuralFeatureCondition

    public EObjectStructuralFeatureCondition(PruneHandler pruneHandler,
                                             EStructuralFeature feature)

  A constructor, initializes the `EObjectStructuralFeatureCondition` with basic values.

  Parameters:
    `pruneHandler` - The `PruneHandler` to consult when pruning
    `feature` - The `EStructuralFeature` used for evaluation by this `EObjectStructuralFeatureCondition`

Method Detail

### isSatisfied

    public boolean isSatisfied(EObject eObject)

  Answers whether the argument eObject has the `EStructuralFeature` used in initialization of this `EObjectStructuralFeatureCondition`

  Specified by:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`
  See Also:
    `EObjectCondition.isSatisfied(org.eclipse.emf.ecore.EObject)`

### getFeature

    protected final EStructuralFeature getFeature()

  A getter for the `EStructuralFeature` used in initialization of this `EObjectStructuralFeatureCondition`

  Returns:
    `EStructuralFeature` the feature used in initialization of this `EObjectStructuralFeatureCondition`

### getFeatures

    protected List<? extends EStructuralFeature> getFeatures(EClass eClass)

  Returns the list of all EStructuralFeatures of the given EClass that are consequently to be used for testing and evaluation of this condition object

  Parameters:
    `eClass` - the Eclass from which to get all the EStructuralFeatures to be used for testing and evaluation of this condition object
  Returns:
    List a list of the all the EStructuralFeatures from the argument EClass and are consequently to be used for testing and evaluation of this condition object

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.